var yAxisMin = null;
var showValue = true;
var animation = false;
var is3D = false;

// 柱状图
function bar(title, legends, labels, datas) {
	is3D = false;
	var dataset = [];
	for (var i = 0; i < datas.length; i++) {
		var temp = {};
		temp.name = legends[i];
		temp.type = 'bar';
		temp.data = datas[i];
		dataset.push(temp)
	}
	var option = {
		animation: animation,
		title: {
			text: title,
			left: 'center'
		},
		legend: {
			data: legends,
			top: '3%'
		},
		label: {
			show: true,
			position: 'top'
		},
		xAxis: {
			type: 'category',
			data: labels
		},
		yAxis: {
			type: 'value',
			min: yAxisMin
		},
		series: dataset
	};
	myChart.setOption(option)
}

// 折线图
function line(title, legends, labels, datas, smooth) {
	is3D = false;
	var dataset = [];
	for (var i = 0; i < datas.length; i++) {
		var temp = {};
		temp.name = legends[i];
		temp.type = 'line';
		temp.smooth = smooth;
		temp.data = datas[i];
		dataset.push(temp)
	}
	var option = {
		animation: animation,
		title: {
			text: title,
			left: 'center'
		},
		legend: {
			data: legends,
			top: '3%'
		},
		label: {
			show: showValue,
			position: 'top'
		},
		xAxis: {
			type: 'category',
			data: labels
		},
		yAxis: {
			type: 'value',
			min: yAxisMin
			
		},
		series: dataset
	};
	myChart.setOption(option)
}

//饼图
function pie(title, radius, data) {
	is3D = false;
	var dataset = [];
	var temp = {};
	//if(1){
	//	temp.radius = ['33%','60%'];
	//}else{
	//	temp.radius = '60%';
	//}
	temp.radius = radius;
	temp.type = 'pie';
	temp.data = data;
	temp.label = {
		show: showValue,
		formatter: '{b}({c})'
	};
	dataset.push(temp);
	var option = {
		animation: animation,
		title: {
			text: title,
			left: 'center'
		},
		legend: {
			top: '3%'
		},
		tooltip: {
			trigger: 'item'
		},
		series: dataset
	};
	myChart.setOption(option)
}

// 仪表图
function gauge(startAngle, endAngle, min, max, data) {
	is3D = false;
	var option = {
		animation: animation,
		series: [{
			type: 'gauge',
			startAngle: startAngle,
			endAngle: endAngle,
			min: min,
			max: max,
			data: [{
				value: data
			}]
		}]
	};
	myChart.setOption(option)
}

//-------------------------------3D-----------------------------------
//3D曲面·简单曲面
function simple_surface(title, data, equation) {
	is3D = true;
	var dataset = [];
	
	var temp = {};
	temp.type = 'surface';
	temp.data = data;
	temp.equation = equation;
	dataset.push(temp);

	var option = {
		animation: animation,
		title: {
			text: title,
			left: 'center'
		},
		tooltip: {},
		backgroundColor: '#fff',
		visualMap: {
			show: showValue,
			dimension: 2,
			min: -1,
			max: 1,
			inRange: {
			color: [
				'#313695',
				'#4575b4',
				'#74add1',
				'#abd9e9',
				'#e0f3f8',
				'#ffffbf',
				'#fee090',
				'#fdae61',
				'#f46d43',
				'#d73027',
				'#a50026'
			]
			}
		},
		xAxis3D: {
			type: 'value'
		},
		yAxis3D: {
			type: 'value'
		},
		zAxis3D: {
			type: 'value'
		},
		grid3D: {
			viewControl: {
			// projection: 'orthographic'
			}
		},
		series: dataset
	};
	myChart.setOption(option)
}
//-------------------------------3D end--------------------------------

function setTheme(theme){
	document.getElementById("theme").src = theme + ".js";
	myChart = echarts.init(dom, theme);
}
function getDataURL() {
	var str = myChart.getDataURL();
	console.log(str);
	if (is3D) {
		if (typeof ECHARTS3D != 'undefined') {
			ECHARTS3D.getDataURL(str)
		}
	} else {
		if (typeof ECHARTS != 'undefined') {
			ECHARTS.getDataURL(str)
		}
	}
}
myChart.on('click', function(params) {
	console.log(params.seriesName, params.name, params.value);
	if (is3D) {
		if (typeof ECHARTS3D != 'undefined') {
			ECHARTS3D.clicked(params.seriesName, params.name, params.value)
		}
	} else {
		if (typeof ECHARTS != 'undefined') {
			ECHARTS.clicked(params.seriesName, params.name, params.value)
		}
	}
});